GNU bug report logs - #34412
[PATCH] gnu: ocaml-merlin: Added tests

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Gabriel Hondet <gabrielhondet@HIDDEN>; Keywords: patch; dated Sun, 10 Feb 2019 13:41:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 34412 <at> debbugs.gnu.org:


Received: (at 34412) by debbugs.gnu.org; 28 Jun 2019 06:18:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 02:18:28 2019
Received: from localhost ([127.0.0.1]:40256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgkDK-0002xR-RX
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 02:18:28 -0400
Received: from lepiller.eu ([89.234.186.109]:34036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1hgkDJ-0002xJ-3d
 for 34412 <at> debbugs.gnu.org; Fri, 28 Jun 2019 02:18:25 -0400
Received: from [10.205.39.33] (tor01.zencurity.dk [185.129.62.62])
 by lepiller.eu (OpenSMTPD) with ESMTPSA id 8ea47d92
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 28 Jun 2019 06:18:17 +0000 (UTC)
Date: Fri, 28 Jun 2019 08:17:54 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <b30ce794-44a6-a689-c469-0e989210f0d4@HIDDEN>
References: <877ee74v93.fsf@HIDDEN>
 <b30ce794-44a6-a689-c469-0e989210f0d4@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: [bug#34412] [PATCH] gnu: ocaml-merlin: Added tests
To: guix-patches@HIDDEN, swedebugia <swedebugia@HIDDEN>,
 34412 <at> debbugs.gnu.org
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <670267B2-5EA9-44E4-85DB-D48206DBED4A@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34412
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sorry for not having seen that!

Le 28 juin 2019 07:41:38 GMT+02:00, swedebugia <swedebugia@riseup=2Enet> a=
 =C3=A9crit :
>On 2019-02-10 14:36, Gabriel Hondet wrote:
>> * gnu/packages/ocaml=2Escm (ocaml-merlin): Added tests
>> ---
>>   gnu/packages/ocaml=2Escm | 23 +++++++++++++++++++++--
>>   1 file changed, 21 insertions(+), 2 deletions(-)
>>=20
>> diff --git a/gnu/packages/ocaml=2Escm b/gnu/packages/ocaml=2Escm
>> index 07fcf92ae=2E=2E0b33c257a 100644
>> --- a/gnu/packages/ocaml=2Escm
>> +++ b/gnu/packages/ocaml=2Escm
>> @@ -66,6 +66,7 @@
>>     #:use-module (gnu packages version-control)
>>     #:use-module (gnu packages virtualization)
>>     #:use-module (gnu packages web-browsers)
>> +  #:use-module (gnu packages web)
>>     #:use-module (gnu packages xml)
>>     #:use-module (gnu packages xorg)
>>     #:use-module (guix build-system dune)
>> @@ -4785,6 +4786,11 @@ format}=2E  @code{craml} is released as a single
>binary (called @code{craml})=2E")
>>                (url"https://github=2Ecom/ocaml/merlin=2Egit")
>>                (commit (string-append "v" version))))
>>          (file-name (git-file-name name version))
>> +       (modules '((guix build utils)))
>> +       (snippet '(begin
>> +                   ;; fix a dune file calling missing dependencies
>> +                   (substitute* "tests/locate/partial-cmt/dune"
>> +                     (("a=2Eml a=2Emli") ""))))
>>          (sha256
>>           (base32
>>            "15ssgmwdxylbwhld9p1cq8x6kadxyhll5bfyf11dddj6cldna3hb"))))
>> @@ -4794,9 +4800,22 @@ format}=2E  @code{craml} is released as a single
>binary (called @code{craml})=2E")
>>          ("ocaml-yojson" ,ocaml-yojson)
>>          ("ocaml-easy-format" ,ocaml-easy-format)))
>>       (native-inputs
>> -     `(("ocaml-findlib" ,ocaml-findlib)))
>> +     `(("ocaml-findlib" ,ocaml-findlib)
>> +       ("ocaml-craml" ,ocaml-craml)
>> +       ("jq" ,jq)))
>>       (arguments
>> -     '(#:tests? #f)) ;; Errors in tests in version 3=2E2=2E2
>> +     '(#:phases
>> +       (modify-phases %standard-phases
>> +         (add-before 'check 'remove-failing
>> +           (lambda _
>> +             (delete-file-recursively "tests/warnings/")
>> +             (delete-file-recursively ;fail because of shebang
>patching
>> +              "tests/locate/context-detection/")

Can we try and fix the shebang then?

>> +             #t))
>> +         (replace 'check
>> +           (lambda _
>> +             (invoke "make" "test")
>> +             #t)))))

I think #:test-target "test" would be enough, no?

>>       (synopsis "Context sensitive completion for OCaml in Vim and
>Emacs")
>>       (description "Merlin is an editor service that provides modern
>IDE
>>   features for OCaml=2E  Emacs and Vim support is provided
>out-of-the-box=2E
>> -- 2=2E20=2E1
>>=20
>
>This has slipped through the cracks=2E Could you rebase to current master
>
>and send an updated patch?





Information forwarded to guix-patches@HIDDEN:
bug#34412; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jun 2019 06:18:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 02:18:32 2019
Received: from localhost ([127.0.0.1]:40259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgkDP-0002xj-P3
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 02:18:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:46540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1hgkDO-0002xc-8O
 for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 02:18:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36985)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <julien@HIDDEN>) id 1hgkDM-00059J-EK
 for guix-patches@HIDDEN; Fri, 28 Jun 2019 02:18:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <julien@HIDDEN>) id 1hgkDK-0001WL-45
 for guix-patches@HIDDEN; Fri, 28 Jun 2019 02:18:28 -0400
Received: from lepiller.eu ([2a00:5884:8208::1]:52692)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <julien@HIDDEN>) id 1hgkDJ-0001TX-PH
 for guix-patches@HIDDEN; Fri, 28 Jun 2019 02:18:26 -0400
Received: from [10.205.39.33] (tor01.zencurity.dk [185.129.62.62])
 by lepiller.eu (OpenSMTPD) with ESMTPSA id 8ea47d92
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 28 Jun 2019 06:18:17 +0000 (UTC)
Date: Fri, 28 Jun 2019 08:17:54 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <b30ce794-44a6-a689-c469-0e989210f0d4@HIDDEN>
References: <877ee74v93.fsf@HIDDEN>
 <b30ce794-44a6-a689-c469-0e989210f0d4@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: [bug#34412] [PATCH] gnu: ocaml-merlin: Added tests
To: guix-patches@HIDDEN, swedebugia <swedebugia@HIDDEN>,
 34412 <at> debbugs.gnu.org
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <670267B2-5EA9-44E4-85DB-D48206DBED4A@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:5884:8208::1
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Sorry for not having seen that!

Le 28 juin 2019 07:41:38 GMT+02:00, swedebugia <swedebugia@riseup=2Enet> a=
 =C3=A9crit :
>On 2019-02-10 14:36, Gabriel Hondet wrote:
>> * gnu/packages/ocaml=2Escm (ocaml-merlin): Added tests
>> ---
>>   gnu/packages/ocaml=2Escm | 23 +++++++++++++++++++++--
>>   1 file changed, 21 insertions(+), 2 deletions(-)
>>=20
>> diff --git a/gnu/packages/ocaml=2Escm b/gnu/packages/ocaml=2Escm
>> index 07fcf92ae=2E=2E0b33c257a 100644
>> --- a/gnu/packages/ocaml=2Escm
>> +++ b/gnu/packages/ocaml=2Escm
>> @@ -66,6 +66,7 @@
>>     #:use-module (gnu packages version-control)
>>     #:use-module (gnu packages virtualization)
>>     #:use-module (gnu packages web-browsers)
>> +  #:use-module (gnu packages web)
>>     #:use-module (gnu packages xml)
>>     #:use-module (gnu packages xorg)
>>     #:use-module (guix build-system dune)
>> @@ -4785,6 +4786,11 @@ format}=2E  @code{craml} is released as a single
>binary (called @code{craml})=2E")
>>                (url"https://github=2Ecom/ocaml/merlin=2Egit")
>>                (commit (string-append "v" version))))
>>          (file-name (git-file-name name version))
>> +       (modules '((guix build utils)))
>> +       (snippet '(begin
>> +                   ;; fix a dune file calling missing dependencies
>> +                   (substitute* "tests/locate/partial-cmt/dune"
>> +                     (("a=2Eml a=2Emli") ""))))
>>          (sha256
>>           (base32
>>            "15ssgmwdxylbwhld9p1cq8x6kadxyhll5bfyf11dddj6cldna3hb"))))
>> @@ -4794,9 +4800,22 @@ format}=2E  @code{craml} is released as a single
>binary (called @code{craml})=2E")
>>          ("ocaml-yojson" ,ocaml-yojson)
>>          ("ocaml-easy-format" ,ocaml-easy-format)))
>>       (native-inputs
>> -     `(("ocaml-findlib" ,ocaml-findlib)))
>> +     `(("ocaml-findlib" ,ocaml-findlib)
>> +       ("ocaml-craml" ,ocaml-craml)
>> +       ("jq" ,jq)))
>>       (arguments
>> -     '(#:tests? #f)) ;; Errors in tests in version 3=2E2=2E2
>> +     '(#:phases
>> +       (modify-phases %standard-phases
>> +         (add-before 'check 'remove-failing
>> +           (lambda _
>> +             (delete-file-recursively "tests/warnings/")
>> +             (delete-file-recursively ;fail because of shebang
>patching
>> +              "tests/locate/context-detection/")

Can we try and fix the shebang then?

>> +             #t))
>> +         (replace 'check
>> +           (lambda _
>> +             (invoke "make" "test")
>> +             #t)))))

I think #:test-target "test" would be enough, no?

>>       (synopsis "Context sensitive completion for OCaml in Vim and
>Emacs")
>>       (description "Merlin is an editor service that provides modern
>IDE
>>   features for OCaml=2E  Emacs and Vim support is provided
>out-of-the-box=2E
>> -- 2=2E20=2E1
>>=20
>
>This has slipped through the cracks=2E Could you rebase to current master
>
>and send an updated patch?





Information forwarded to guix-patches@HIDDEN:
bug#34412; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jun 2019 05:41:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 01:41:51 2019
Received: from localhost ([127.0.0.1]:40238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgjdv-00025N-Hq
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 01:41:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:41799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hgjdt-00025F-O6
 for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 01:41:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59105)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hgjds-0001H6-9s
 for guix-patches@HIDDEN; Fri, 28 Jun 2019 01:41:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1hgjdo-0001os-7m
 for guix-patches@HIDDEN; Fri, 28 Jun 2019 01:41:46 -0400
Received: from mx1.riseup.net ([198.252.153.129]:36968)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1hgjdn-0001nP-WE
 for guix-patches@HIDDEN; Fri, 28 Jun 2019 01:41:44 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 997551A1C82
 for <guix-patches@HIDDEN>; Thu, 27 Jun 2019 22:41:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1561700501; bh=0JrnWpkXp+360NcuxSLdD1ZPiFozka5gc+ChXV4uO4E=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=eCk8HHoL1xSUCjZBBXg2KIhlRQdJjRdDnjoSL5eR+yltm7WAIyMm7UmARQVsItnA+
 ud4NfDh8RwKzPVF0Pl70fFfs2py9h0SCb381O7kxC8QkxiY5k9/SHyVHW4k7XCdGi9
 xIFrJtB/8PqtugihU5dGzITxnN7KN/XDPP+q4DQk=
X-Riseup-User-ID: E7F224B5CE6C7B101CA9C74894021C24CED9966551029CF36BE29263BC6E2FF2
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id CC9D9120320
 for <guix-patches@HIDDEN>; Thu, 27 Jun 2019 22:41:40 -0700 (PDT)
Subject: Re: [bug#34412] [PATCH] gnu: ocaml-merlin: Added tests
To: guix-patches@HIDDEN
References: <877ee74v93.fsf@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <b30ce794-44a6-a689-c469-0e989210f0d4@HIDDEN>
Date: Fri, 28 Jun 2019 07:41:38 +0200
MIME-Version: 1.0
In-Reply-To: <877ee74v93.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On 2019-02-10 14:36, Gabriel Hondet wrote:
> * gnu/packages/ocaml.scm (ocaml-merlin): Added tests
> ---
>   gnu/packages/ocaml.scm | 23 +++++++++++++++++++++--
>   1 file changed, 21 insertions(+), 2 deletions(-)
> 
> diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
> index 07fcf92ae..0b33c257a 100644
> --- a/gnu/packages/ocaml.scm
> +++ b/gnu/packages/ocaml.scm
> @@ -66,6 +66,7 @@
>     #:use-module (gnu packages version-control)
>     #:use-module (gnu packages virtualization)
>     #:use-module (gnu packages web-browsers)
> +  #:use-module (gnu packages web)
>     #:use-module (gnu packages xml)
>     #:use-module (gnu packages xorg)
>     #:use-module (guix build-system dune)
> @@ -4785,6 +4786,11 @@ format}.  @code{craml} is released as a single binary (called @code{craml}).")
>                (url"https://github.com/ocaml/merlin.git")
>                (commit (string-append "v" version))))
>          (file-name (git-file-name name version))
> +       (modules '((guix build utils)))
> +       (snippet '(begin
> +                   ;; fix a dune file calling missing dependencies
> +                   (substitute* "tests/locate/partial-cmt/dune"
> +                     (("a.ml a.mli") ""))))
>          (sha256
>           (base32
>            "15ssgmwdxylbwhld9p1cq8x6kadxyhll5bfyf11dddj6cldna3hb"))))
> @@ -4794,9 +4800,22 @@ format}.  @code{craml} is released as a single binary (called @code{craml}).")
>          ("ocaml-yojson" ,ocaml-yojson)
>          ("ocaml-easy-format" ,ocaml-easy-format)))
>       (native-inputs
> -     `(("ocaml-findlib" ,ocaml-findlib)))
> +     `(("ocaml-findlib" ,ocaml-findlib)
> +       ("ocaml-craml" ,ocaml-craml)
> +       ("jq" ,jq)))
>       (arguments
> -     '(#:tests? #f)) ;; Errors in tests in version 3.2.2
> +     '(#:phases
> +       (modify-phases %standard-phases
> +         (add-before 'check 'remove-failing
> +           (lambda _
> +             (delete-file-recursively "tests/warnings/")
> +             (delete-file-recursively ;fail because of shebang patching
> +              "tests/locate/context-detection/")
> +             #t))
> +         (replace 'check
> +           (lambda _
> +             (invoke "make" "test")
> +             #t)))))
>       (synopsis "Context sensitive completion for OCaml in Vim and Emacs")
>       (description "Merlin is an editor service that provides modern IDE
>   features for OCaml.  Emacs and Vim support is provided out-of-the-box.
> -- 2.20.1
> 

This has slipped through the cracks. Could you rebase to current master 
and send an updated patch?

-- 
Cheers Swedebugia




Information forwarded to guix-patches@HIDDEN:
bug#34412; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Feb 2019 13:40:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 08:40:53 2019
Received: from localhost ([127.0.0.1]:41834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gspLp-00011B-FK
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2019 08:40:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gspLo-00010z-7F
 for submit <at> debbugs.gnu.org; Sun, 10 Feb 2019 08:40:52 -0500
Received: from lists.gnu.org ([209.51.188.17]:51305)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gspLi-0006tI-5h
 for submit <at> debbugs.gnu.org; Sun, 10 Feb 2019 08:40:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44246)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gspLh-0000YT-3j
 for guix-patches@HIDDEN; Sun, 10 Feb 2019 08:40:46 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gspLf-0006qw-8q
 for guix-patches@HIDDEN; Sun, 10 Feb 2019 08:40:45 -0500
Received: from mail-wm1-x32e.google.com ([2a00:1450:4864:20::32e]:34651)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gspLc-0006mN-Jk
 for guix-patches@HIDDEN; Sun, 10 Feb 2019 08:40:41 -0500
Received: by mail-wm1-x32e.google.com with SMTP id y185so11743729wmd.1
 for <guix-patches@HIDDEN>; Sun, 10 Feb 2019 05:40:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=YM4oEQsdeVQv+IkJ/Q/Xg/z3QuehgGgn6szSixkyLU0=;
 b=MUX2xhx0bctsWmImu+SmTAyRP728Wlz7TeNQUznzoNzfuyh8aoeMoyhaZeu26JGZDW
 6jASPPQ7Rkj9SamA0tAdfVWIWF3MXtN+Tnp9RKE9DGtZssASM4QMzCydL0QhzvXJVlP+
 IXLH05Cu2hUAvVeuwcCoNhYX4ojuycuPIyh3VyENWzKC/WaHPZlytr/2Wotf3+TVQ4oT
 oWkNtfPPkHbRNsWXKz47S8+q2Z1nwp7eAGuKeNwgQDXY5bMub1BzgzV9NwTe1zqt9jD1
 EZ6sYdEJRBWSLL8+dDJi21+HXdCj9MXJM0cnk+EKG8XcPBt3oj+hETTDECsmVlHgKANw
 df4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=YM4oEQsdeVQv+IkJ/Q/Xg/z3QuehgGgn6szSixkyLU0=;
 b=fu6YHe6zAwLHrBrqloYAaF8t7si7aoi3G8GyP9X5nPjjrjJiDzt53FrLAu3vQC4JO9
 ePupfSz5fFF9pQfCR3GZS6cx64zqEVvQhmCm95eK7Vu4d7S/OS537wbFR9xfo9AOMu3m
 buO/rfXlVU7cmY7lgV11l+lOJaESaBDFs8pRzLvVGkBoGhHjmelINNCcWCPwUID54i2Q
 2BttTCP52a8vJ/CEyhKqWYivUNEb2zapfgZSVQgLti+gA7NjoFcNwACOQUkV8o3YwxZj
 AiBz08dmCOWruYWc4awy/IXr1JPhe9twlFLi2wD58D/EnEh4yfrkupulbDW80ygtrFcY
 PGSQ==
X-Gm-Message-State: AHQUAuYJtdc8KaKwARnXmQwVYT0V2Rw08w6qdHXp0unBY+j9xGUuFxI7
 IJz81lUwOGyhgq78zKWVNOWIJ3x9
X-Google-Smtp-Source: AHgI3IaUg8SE34GDfYg5eV3AaM2fgopQQo7z5rUmU8XHuDJZhzSMkmRYfLiZaQzYNB0RvZHHloNHTw==
X-Received: by 2002:a7b:c75a:: with SMTP id w26mr6137006wmk.35.1549806031275; 
 Sun, 10 Feb 2019 05:40:31 -0800 (PST)
Received: from glht-aurore.gmail.com
 (2a01cb04062c860082fa5bfffe3823d7.ipv6.abo.wanadoo.fr.
 [2a01:cb04:62c:8600:82fa:5bff:fe38:23d7])
 by smtp.gmail.com with ESMTPSA id m4sm4308820wml.2.2019.02.10.05.40.29
 for <guix-patches@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 10 Feb 2019 05:40:30 -0800 (PST)
User-agent: mu4e 1.0; emacs 26.1
From: Gabriel Hondet <gabrielhondet@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: ocaml-merlin: Added tests
Date: Sun, 10 Feb 2019 14:36:15 +0100
Message-ID: <877ee74v93.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::32e
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

* gnu/packages/ocaml.scm (ocaml-merlin): Added tests
=2D--
 gnu/packages/ocaml.scm | 23 +++++++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 07fcf92ae..0b33c257a 100644
=2D-- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -66,6 +66,7 @@
   #:use-module (gnu packages version-control)
   #:use-module (gnu packages virtualization)
   #:use-module (gnu packages web-browsers)
+  #:use-module (gnu packages web)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
   #:use-module (guix build-system dune)
@@ -4785,6 +4786,11 @@ format}.  @code{craml} is released as a single binar=
y (called @code{craml}).")
              (url "https://github.com/ocaml/merlin.git")
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
+       (modules '((guix build utils)))
+       (snippet '(begin
+                   ;; fix a dune file calling missing dependencies
+                   (substitute* "tests/locate/partial-cmt/dune"
+                     (("a.ml a.mli") ""))))
        (sha256
         (base32
          "15ssgmwdxylbwhld9p1cq8x6kadxyhll5bfyf11dddj6cldna3hb"))))
@@ -4794,9 +4800,22 @@ format}.  @code{craml} is released as a single binar=
y (called @code{craml}).")
        ("ocaml-yojson" ,ocaml-yojson)
        ("ocaml-easy-format" ,ocaml-easy-format)))
     (native-inputs
=2D     `(("ocaml-findlib" ,ocaml-findlib)))
+     `(("ocaml-findlib" ,ocaml-findlib)
+       ("ocaml-craml" ,ocaml-craml)
+       ("jq" ,jq)))
     (arguments
=2D     '(#:tests? #f)) ;; Errors in tests in version 3.2.2
+     '(#:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'remove-failing
+           (lambda _
+             (delete-file-recursively "tests/warnings/")
+             (delete-file-recursively ;fail because of shebang patching
+              "tests/locate/context-detection/")
+             #t))
+         (replace 'check
+           (lambda _
+             (invoke "make" "test")
+             #t)))))
     (synopsis "Context sensitive completion for OCaml in Vim and Emacs")
     (description "Merlin is an editor service that provides modern IDE
 features for OCaml.  Emacs and Vim support is provided out-of-the-box.
=2D-=20
2.20.1

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE5ercJXBcjd3P1FcAMbyBBfZZ1CUFAlxgKcgACgkQMbyBBfZZ
1CUsOxAAlUJXBUPn8RlU7Y0lgK0FH2JVP2ijGIoZ/dKKVtisCE4o2AXpUvgBfiBI
oO2agUvgerKbX2li7+zULVDTjEo8n3QDkvLlfMJQVAAHmiW0dSyX1gHgIIO0oyOp
AgKRXTLRutovDG+ClI/CWv8UGeTRMqCaQKgRGUxEPN39eLbn6yLw+dyYMINTWbJD
RvufzZlMSoT8xl4aVI6a73+AmgnizWIr+pPjWeY19DzHXvlfFGupymCDtZO6RMRX
UgqeHoRI5BUjuHLa9GpJhaBUYtGmQ/1ehusNU8dlGExOSayY/fLsh+DmBkG9EpO8
FWnFVldXI6b9WVfeucCHmvS6o3v56nFL0cNJxCXp21L0kJIoOSADta9o0KGt0L4O
c8mTdxLxxvcWxjKhM9GK+h1mUwjgSw4cjagKoclEMrUhToLKlQjXc4RI3Szbr+UM
HphQ8yk9gpINdgDqokLtUdLPA5LLAClLRfBE70Y8+GzPmkTBRDoZGM18x8MWJsc7
vGou9UeMuw5Rp7FQDPSkPe2t3fm0PSmhQvJNDCJi2QAaANwSPbb8nmC8gsdodVYD
V+GCPcxwbmH/S3sWG34sx7NKkpPh7rNzt8ABVUK75REWMbOsluYT/cTSJidQ1i/1
3guv0hXO2K99INjBIXY4S0cG2XGlz3mict4JoowrFwIkAwQ4x+o=
=SbZd
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Gabriel Hondet <gabrielhondet@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34412; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.